Bug 816549 - Array index error, leading to out-of heap-based buffer read (snmpd crash) [fedora-all]
Array index error, leading to out-of heap-based buffer read (snmpd crash) [fe...
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2141
  Show dependency treegraph
Reported: 2012-04-26 07:25 EDT by Jan Lieskovsky
Modified: 2012-12-20 11:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-20 11:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-26 07:25:38 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Safranek 2012-10-22 03:41:24 EDT
This was fixed in F18 and Rawhide by rebase to net-snmp-5.7.2
Comment 2 Fedora Update System 2012-10-22 06:05:30 EDT
net-snmp-5.7.1-3.fc16 has been submitted as an update for Fedora 16.
Comment 3 Fedora Update System 2012-10-22 06:05:49 EDT
net-snmp-5.7.1-5.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-10-22 21:50:44 EDT
Package net-snmp-5.7.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing net-snmp-5.7.1-3.fc16'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:08:28 EST
net-snmp-5.7.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.